Can't compile Pg in Perl 5.8 with gcc 3.1 on Solaris 8 
Author Message
 Can't compile Pg in Perl 5.8 with gcc 3.1 on Solaris 8

Getting the following errors. Anyone know what this means.

LD_RUN_PATH="/usr/lib" gcc -B/usr/ccs/bin/  -G -L/usr/local/lib
-L/opt/local/lib Pg.o  -o blib/arch/auto/Pg/Pg.so   -lpq
ld: fatal: library -lpq: not found
ld: fatal: File processing errors. No output written to
blib/arch/auto/Pg/Pg.so

--
Randy Perry
sysTame
Mac Consulting/Sales


remove 'SPAMKNOT' to email me



Fri, 21 Jan 2005 22:47:16 GMT  
 Can't compile Pg in Perl 5.8 with gcc 3.1 on Solaris 8

Quote:

> Getting the following errors. Anyone know what this means.

> LD_RUN_PATH="/usr/lib" gcc -B/usr/ccs/bin/  -G -L/usr/local/lib
> -L/opt/local/lib Pg.o  -o blib/arch/auto/Pg/Pg.so   -lpq
> ld: fatal: library -lpq: not found
> ld: fatal: File processing errors. No output written to
> blib/arch/auto/Pg/Pg.so

Use perlbug to report it.

--

pack 'u', pack 'H*', 'ab5cf4021bafd28972030972b00a218eb9720000';



Sat, 22 Jan 2005 10:45:08 GMT  
 Can't compile Pg in Perl 5.8 with gcc 3.1 on Solaris 8
On 5 Aug 2002 07:47:16 -0700,

Quote:
> Getting the following errors. Anyone know what this means.

> LD_RUN_PATH="/usr/lib" gcc -B/usr/ccs/bin/  -G -L/usr/local/lib
> -L/opt/local/lib Pg.o  -o blib/arch/auto/Pg/Pg.so   -lpq
> ld: fatal: library -lpq: not found
> ld: fatal: File processing errors. No output written to
> blib/arch/auto/Pg/Pg.so

Looks like libpq.a or libpq.so can't be found by the linker. Make sure
you set up your link path correctly. I can't recall whether the Pg
module's installation asks for the path or whether it tries to
autodetect it. If it doesn't ask, try setting LD_RUN_PATH (maybe that
works on your system, which we don't know anything about).

Martien
--
                        |
Martien Verbruggen      |
Trading Post Australia  | 42.6% of statistics is made up on the spot.
                        |



Sat, 22 Jan 2005 11:01:05 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. Perl/TK Module for Solaris 5.8 using gcc 2.95.2

2. Can't compile perl5.003 w/ gcc on Solaris (dynamic lib problems)

3. Compiling perl-4.036 with gcc on Solaris 2.x

4. Perl 5.001m Compile Problem /Solaris 2.4/GCC 2.5.6

5. Solaris 5.8 Perl compilation problem

6. XML::LibXML::Common/perl 5.8 (solaris) problem?

7. Compiling Perl5 on solaris with gcc

8. Compiling Perl 5.8 on SuSe Linux 8.0

9. compile problems in Perl 5.8

10. compile perl 5.8

11. compiling 5.001 under Solaris 2.3 w/ gcc

12. Compiling Perl5.000 for Solaris with gcc

 

 
Powered by phpBB® Forum Software